"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ClearConsole = void 0;

const ClearConsole = ({
  verbose
}) => {
  if (!verbose) {
    process.stdout.write(process.platform === 'win32' ? '\x1B[2J\x1B[0f' : '\x1B[2J\x1B[3J\x1B[H');
  }

  return null;
};

exports.ClearConsole = ClearConsole;

//# sourceMappingURL=start.cmd/output-templates/clear-console.js.map